Skip to navigation

Update Connect OAuth configuration

View as Markdown

Updates the OAuth for Docusign Connect configuration for an organization to the definition values provided in the API call body. See Enable OAuth for Connect for an example Connect definition.

Required scopes: connect_org_oauth_write_api

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The GUID ID of the organization where the OAuth configuration is defined.

Request

This endpoint expects an object: configuration

authorizationServerUrlstringOptionalformat: "uri"
clientIdstringOptional
clientSecretstringOptional
scopestringOptional
customParametermap from strings to stringsOptional

Response

OK
authorizationServerUrlstringOptionalformat: "uri"
clientIdstringOptional
clientSecretstringOptional
scopestringOptional
customParametermap from strings to stringsOptional